import { expect, test } from '@playwright/test';

test('healthy test', async ({ playwright }) => {
	const context = await playwright.request.newContext();
	const response = await context.get('health');
	await expect(response.status()).toBe(200);
	await expect(response.headers()).toHaveProperty('healthy');
	await expect(response.headers()['healthy']).toBe('true');

	const body = await response.json();
	await expect(body).toHaveProperty('status');
	await expect(body['status']).toBe('OK');
});
